dunst(1)

NAME
dunst - A customizable and lightweight notification-daemon

SYNOPSIS
dunst [-conf file] [-fn font] [-geometry geom] [-lf/lb/lfr/nf/nb/nfr/cf/cb/cfr color] [-lto/nto/cto secs] [-lh/nh/sep_height height] [-format fmt] [-follow mode] [-mon n] [-history_length n] [-t/title title] [-c/class class] [-v]

DESCRIPTION
Dunst is a highly configurable and lightweight notification daemon.

OPTIONS

-h/--help
    display help message.

-conf/-config file
    use alternative config file.

-fn font
    Defines the font or font set used. Optionally set the size as a decimal number after the font name and space. Multiple font options can be separated with commas.

-geometry [{width}]x{height}][+/-{x}+/-{y}]
    The geometry of the message window. The height is measured in lines everything else in pixels. If the width is omitted but the height is given ("-geometry x2"), the message window expands over the whole screen (dmenu-like). If width is 0, the window expands to the longest message displayed. A positive x is measured from the left, a negative from the right side of the screen. Y is measured from the top and down respectively.

-lf/nf/cf color
    Defines the foreground color of low/normal/critical messages.

-lb/nb/cb color
    Defines the background color of low/normal/critical messages.

-lfr/nfr/cfr color
    Defines the frame color of low/normal/critical messages.

-lto/nto/cto secs
    Defines timeouts for low/normal/critical messages.

-lh/-line_height height
    Defines the height of a single line in pixel. If the height is smaller than the font height, it will get raised to the font height.

-nh/-notification_height height
    Defines the height of the notification window.

-sep_height/-separator_height height
    Defines the height of the separator line.

-format fmt
    Defines the format of the message. See FORMAT.

-follow mode
    Display notifications on focused monitor. Possible options are "mouse" to follow the mouse cursor, "keyboard" to follow the window with the keyboard focus and "none" to disable focus following. "mouse" and "keyboard" overwrite the -mon option.

-mon n
    Show the notification on monitor n.

-history_length n
    Max amount of notifications kept in history.

-t/-title title
    Defines the title of notification windows spawned by dunst.

-t/-class class
    Defines the class of notification windows spawned by dunst.

-key key
    Remove notification by pressing key.

-all_key key
    Remove all notifications by pressing key.

-history_key key
    Redisplay last notification by pressing key.

-context_key key
    Shortcut for context menu.

-alignment position
    Defines how text should be aligned, can be set to left/center/right.

-icon_position position
    Defines the align position of icons to left/right or off to disable icons.

-max_icon_size size
    Defines the max size for icons to scale. If icon_position is set to off, icons won't be displayed.

-icon_folders path
    Defines the path to the folder with the default icons.

-li/ni/ci icon
    Defines the icon for low/normal/critical messages.

-padding pad
    Defines padding between text and separator.

-horizontal_padding pad
    Defines horizontal padding.

-transparency range
    Defines transparency range between 0-100

-sep_color/-separator_color color
    Defines color of the separator line.

-frame_color color
    Defines color of the frame around window.

-frame_width width
    Defines width of frame around window.

-idle_threshold secs
    Don't timeout notifications if user is longer idle than threshold.

-show_age_threshold secs
    Show age of message if message is older than show_age_threshold seconds. Set to -1 to disable.

-bounce_freq freq
    The frequency with which text that is longer than the notification window allows bounces back and forth.

-markup parsing
    Defines how markup parsing should be handled in notifications. Possible options are "full" to allow a small subset of html markup, "strip" for compatibility with broken clients (this option is discouraged outside matching rules) or "no" to treat incoming notifications as plain text. Note that markup inside the format option will be parsed regardless of what this is set to.

-indicate_hidden
    Show how many notifications are hidden.

-word_wrap
    Truncating long lines or do word wrap.

-ignore_newline
    Ignore newline characters in notifications.

-stack_duplicates
    Merge multiple notifications with the same content.

-hide_duplicates_count
    Hide count of the merged notifications with the same content.

-sticky_history
    Don't timeout notifications popped up from history.

-show_indicators
    Show indicators for actions and URLs.

-sort
    Sort messages by urgency.

-shrink
    Shrink window if it's smaller than the width. Will be ignored if width is 0.

-print
    Print notifications to stdout. This might be useful for logging, setting up rules or using the output in other scripts.

-v/--version
    Print version information.

-always_run_script
    Always run rule-defined scripts, even if the notification is suppressed with format = "".

FORMAT
fmt is a string containing placeholders. The placeholders will be replaced with the corresponding text, or if the text is not present, nothing. Possible placeholders are:

%a  appname
%s  summary
%b  body
%i  iconname (including its path)
%I  iconname (without its path)
%p  progress value ([  0%] to [100%])

COLORS
Every option that needs a color as argument accepts #RGB, #RRGGBB and X color names.

NOTIFY-SEND
dunst is able to get different colors for a message via notify-send. In order to do that you have to add a hint via the -h option. The progress value can be set with a hint, too.

notify-send -h string:fgcolor:#ff4444
notify-send -h string:bgcolor:#4444ff -h string:fgcolor:#ff4444
notify-send -h int:value:42 "Working ..."

MISCELLANEOUS
Dunst can be paused by sending a notification with a summary of "DUNST_COMMAND_PAUSE" and resumed with a summary of "DUNST_COMMAND_RESUME". Alternatively you can send SIGUSR1 and SIGUSR2 to pause and unpause respectively. For Example:

killall -SIGUSR1 dunst # pause
killall -SIGUSR2 dunst # resume

When paused dunst will not display any notifications but keep all notifications in a queue. This can for example be wrapped around a screen locker (i3lock, slock) to prevent flickering of notifications through the lock and to read all missed notifications after returning to the computer.

CONFIGURATION
An example configuration file is included (usually /usr/share/dunst/dunstrc). To change the configuration, copy this file to ~/.config/dunst/dunstrc and edit it accordingly.

AUTHOR
written by Sascha Kruse <knopwob@googlemail.com>

COPYRIGHT
copyright 2013 Sascha Kruse and contributors (see LICENSE for licensing information)

If you feel that copyrights are violated, please send me an email.

SEE ALSO
dwm(1), dmenu(1), twmn(1), notify-send(1)